@import url('https://fonts.googleapis.com/css?family=Lato:400,700,900&display=swap');
@import url('https://fonts.googleapis.com/css?family=Raleway:200,300,400,500,600,700&display=swap');
@import url('https://fonts.googleapis.com/css?family=ZCOOL+XiaoWei&display=swap');
@import url('https://fonts.googleapis.com/css?family=Varela&display=swap&subset=latin-ext');

header {
    margin: 0px;
    position: fixed;
    z-index: 1;
    width: 100%;
    height: 80px;
    background: linear-gradient(270deg, rgba(45, 55, 65, 0.7)0%, rgba(255, 255, 255, 0)100%);
    background: -moz-linear-gradient(270deg, rgba(45, 55, 65, 0.7)0%, rgba(255, 255, 255, 0)100%);
    background: -webkit-linear-gradient(270deg, rgba(45, 55, 65, 0.7)0%, rgba(255, 255, 255, 0)100%);
    background: -o-linear-gradient(270deg, rgba(45, 55, 65, 0.7)0%, rgba(255, 255, 255, 0)100%);
}

header::after {
    content: '';
    display: table;
    clear: both;
}

.row {
    margin: 0px;
    float: right;
    margin-right: 80px;
}

.navigation li a {
    display: block;
    color: aliceblue;
    text-decoration: none;
    text-transform: uppercase;
    font-family: 'Lato', sans-serif;
    font-weight: 700;
    font-size: 24px;
    letter-spacing: 5px;
    margin: 0px;
}

.navigation li a:hover {
    color: aliceblue;
}

.navigation li a::before {
    content: '';
    display: block;
    height: 3px;
    background-color: aliceblue;
    position: absolute;
    top: 0;
    width: 0%;
    transition: all ease-in-out 250ms;
}

.navigation li a:hover::before {
    width: 100%;
}

.navigation ul {
    display: flex;
    justify-content: space-around;
    list-style: none;
    margin-top: 3px;
}

.navigation li {
    display: inline-block;
    position: relative;
    margin-left: 30px;
    padding-top: 5px;
}

#menuToggle input {
    display: none;
}

body {
    background: #002638;
    color: aliceblue;
    font-family: 'Raleway', sans-serif;
}

.Container {
    margin-right: 80px;
    margin-left: 80px;
    margin-bottom: 30px;
}

.Photo {
    grid-area: A;
}

.Profile {
    grid-area: B;
}

.Skills {
    grid-area: C;
}

.SofterWare {
    grid-area: D;
}

.Experience {
    grid-area: E;
}

.Achievement {
    grid-area: F;
}

.Wrapper {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 270px 140px 150px auto;
    grid-template-areas:
        "A A E E"
        "B C E E"
        "B C F F"
        "D D F F"
}

.Photo {
    margin-top: 60px;
    margin-left: 60px;

}

.Photo img {
    display: inline-block;
    border-radius: 50%;
    width: 130px;
    border: 10px solid transparent;
    box-shadow: 0 0 0 1px #fff;
}

.h-01 {
    display: inline;
    font-weight: 400;
    font-size: 30px;
    letter-spacing: 7px;
    margin-top: 60px;
    padding: 0px;
    margin-left: 60px;
    position: absolute;
}

.h-02 {
    display: inline;
    font-weight: 500;
    font-size: 20px;
    letter-spacing: 7px;
    margin: 0;
}

.p-01 {
    font-weight: 200;
    font-size: 14px;
    letter-spacing: 2px;
    line-height: 24px;
    text-align: left;
    margin-left: 16px;
    margin-right: 10px;
    margin-top: 20px;
}

.p-02 {
    display: block;
    font-weight: 200;
    font-size: 18px;
    letter-spacing: 2px;
    line-height: 30px;
    text-align: left;
    margin-left: auto;
    margin-right: auto;
    padding-left: 60px;
    margin-top: 20px;
}

.p-03 {
    display: block;
    font-weight: 400;
    font-size: 18px;
    letter-spacing: 2px;
    line-height: 30px;
    text-align: left;
    margin-left: auto;
    margin-right: auto;
    padding-left: 50px;
    margin-top: 15px;
}

.p-03-01 {
    display: inline-block;
    float: right;
    font-weight: 300;
    font-size: 15px;
    letter-spacing: 2px;
    line-height: 30px;
    text-align: left;
}

.p-04 {
    font-weight: 200;
    font-size: 12px;
    letter-spacing: 2px;
    line-height: 20px;
    text-align: left;
    margin-left: 50px;
    margin-right: 10px;
}

.Icon {
    width: 30px;
    margin-bottom: 10px;
}

.separator {
    display: flex;
    align-items: center;
    text-align: center;
}

.separator::before,
.separator::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid #fff;
}

.separator::before {
    margin-right: .25em;
}

.separator::after {
    margin-left: .25em;
}

.Profile {
    text-align: center;
    margin-left: 12px;
    margin-right: 12px;
}

.Skills {
    margin-left: 12px;
    margin-right: 12px;
    text-align: center;
}

.circle {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: transparent;
    border: 1px solid #fff;
    margin-right: 10px;
    display: inline-block;
    vertical-align: middle;
}

.SofterWare {
    margin-left: 12px;
    margin-right: 12px;
    margin-top: 0px;
    text-align: center;
}

.SofterWare img {
    margin-top: 25px;
    margin-left: 15px;
    margin-right: 15px;
}

.Experience {
    padding-left: 25px;
    padding-right: 25px;
    margin-top: 80px;
    text-align: center;
     
}

.Achievement {
    text-align: center;
    margin-top: 10px;
    padding-left: 25px;
    padding-right: 25px;
}

Footer {
    margin: 0;
    background-color: #1f5557;
    height: 350px;
    padding-right: 150px;
    padding-left: 150px;
    padding-top: 60px;
}

.LinkIcon {
    display: flex;
    width: 450px;
    float: left;
    margin-top: 50px;
}

Footer img {
    height: 150px;
    object-fit: contain;
}

.Content {
    float: right;
}

Footer p {
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 5px;
    line-height: 50px;
}

.Fp {
    font-weight: 500;
    font-size: 22px;
}
@media (max-width: 600px) {
    .row {
        float: none;
        margin: 0px;
        background: none;
    }

    .navigation {
        padding: 20px;
    }

    .navigation ul {
        display: list-item;
        list-style: none;
    }

    #menuToggle {
        display: flex;
        flex-direction: column;
        /* move menu right 
            align-items: flex-end; */
        z-index: 1;
        -webkit-user-select: none;
        user-select: none;
    }

    #menuToggle input {
        display: flex;
        width: 40px;
        height: 32px;
        position: absolute;
        cursor: pointer;
        opacity: 0;
        z-index: 2;
    }

    #menuToggle span {
        display: flex;
        width: 29px;
        height: 2px;
        margin-bottom: 5px;
        background: aliceblue;
        border-radius: 3px;
        z-index: 1;
        transform-origin: 5px 0px;
        transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0),
            background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0),
            opacity 0.55s ease;

    }

    #menuToggle span:first-child {
        transform-origin: 0% 0%;
    }

    #menuToggle span:nth-last-child(2) {
        transform-origin: 0% 100%;
    }

    #menuToggle input:checked ~ span {
        opacity: 1;
        transform: rotate(45deg) translate(-3px, -1px);
        background: aliceblue;
    }

    #menuToggle input:checked ~ span:nth-last-child(3) {
        opacity: 0;
        transform: rotate(0deg) scale(0.2, 0.2);
    }

    #menuToggle input:checked ~ span:nth-last-child(2) {
        transform: rotate(-45deg) translate(0, -1px);
    }

    #menu {
        position: absolute;
        width: 50%;
        box-shadow: 0 0 10px #85888C;
        margin: -50px 0 0 -50px;
        padding: 50px;
        padding-top: 125px;
        background-color: #1f5557;
        -webkit-font-smoothing: antialiased;
        transform-origin: 0% 0%;
        transform: translate(-100%, 0);
        transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0);
    }

    #menu li {
        padding: 10px 0;
        transition-delay: 2s;

    }

    #menuToggle input:checked ~ ul {
        transform: none;
    }
}

/*    
green:#1f5557
blue:#002638
pink:#F6CABE
     */
